<?php
/**
 * Load admin view for WooCommerceSocialLoginForm.
 *
 * @package miniorange-sms-order-notification-otp-verification/controllers/forms/
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! current_user_can( 'manage_options' ) ) {
	wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'miniorange-sms-order-notification-otp-verification' ) );
}

use WCSMSOTP\Handler\Forms\WooCommerceSocialLoginForm;
use WCSMSOTP\Helper\MoUtility;

$mowc_handler         = WooCommerceSocialLoginForm::instance();
$mowc_wc_social_login = (bool) $mowc_handler->is_form_enabled() ? 'checked' : '';
$mowc_form_name       = $mowc_handler->get_form_name();

$mowc_social_login_form_file = MOV_WC_DIR . 'views/forms/mowoocommercesocialloginform.php';
if ( ! MoUtility::mo_require_file( $mowc_social_login_form_file, MOV_WC_DIR ) ) {
	return;
}
require $mowc_social_login_form_file;
